package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStoreTopicVisitorsEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店活动访客记录Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
public interface MkStoreTopicVisitorsService {

    /**
     * 根据主键查询实体
     *
     * @param topicVisitorsId 主键
     * @return 实体
     */
    MkStoreTopicVisitorsEntity queryObject(Integer topicVisitorsId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStoreTopicVisitorsEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreTopicVisitors 实体
     * @return 保存条数
     */
    int save(MkStoreTopicVisitorsEntity mkStoreTopicVisitors);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreTopicVisitors 实体
     * @return 更新条数
     */
    int update(MkStoreTopicVisitorsEntity mkStoreTopicVisitors);

    /**
     * 根据主键删除
     *
     * @param topicVisitorsId
     * @return 删除条数
     */
    int delete(Integer topicVisitorsId);

    /**
     * 根据主键批量删除
     *
     * @param topicVisitorsIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] topicVisitorsIds);
}
